=== debian/control ===
Source: ros-dashing-cloudwatch-metrics-collector
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-metrics-common, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-monitoring-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-cloudwatch-metrics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-metrics-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-monitoring-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: Subscriber node for the aws/monitoring topic to publish metrics to AWS Cloudwatch
